﻿.contact-box .products-class-line{
  margin-bottom: 0;
}
.contact-box .products-title{
  margin-bottom: 30px;
}
.contact-info-form{
  width: 100%;
  display: block;
}
.contact-info-form li{
  width: 100%;
  display: block;
  position: relative;
  padding: 20px 0;

}

.contact-info-form li:after{
  content: 'normal';
  font-size: 0;
  width: 100%;
  height: 1px;
  display: block;
  background-image: url('../img/border.png');
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
  position: absolute;
  bottom: 0;
  left: 0;
}
.contact-info-form li:last-child:after{
  display: none;
}
.contact-list{
  width: 600px;
  display: block;
  margin: 0 auto;
  max-width: 100%;
  border: 3px solid #000;
  height: 46px;
  line-height: 46px;
  font-size: 18px;
  padding-left: 10px;

  box-sizing: border-box;
}
.contact-lable{
  font-size: 18px;
  color: #000;
  display: block;
  position: absolute;
  left: 0;
  top: calc(50% - 14px);
  letter-spacing: 3px;
}
.contact-lable span{
  color: red;
}
.radio-box{
  font-size:0;
  width: 600px;
  display: block;
  margin: 0 auto;
  max-width: 100%;
}
.radio-input{
  display: inline-block;
  vertical-align: top;
  font-size: 20px;
  font-weight: bold;
  padding-right: 10px;
}
.demo--radio {
      opacity: 0;
  position: absolute;
}
.demo--radioInput {
    background-color: rgba(0,0,0,0);
    border: 2px solid rgba(0,0,0,1);
    border-radius: 100%;
    display: inline-block;
    height: 18px;
    margin-top: -6px;
    vertical-align: middle;
    width: 18px;
    line-height: 1;
    position: relative;
    box-sizing: border-box;
}
.demo--radio:checked + .demo--radioInput{
    background-color: #000;

}
.contact-textarea{
  width: 600px;
  display: block;
  margin: 0 auto;
  max-width: 100%;
  border: 3px solid #000;
  height: 200px;
  resize: none;
  box-sizing: border-box;
   font-size: 18px;
  padding-left: 10px;
}
.contact-form-textarea .contact-lable{
  top: 20px;
}
.contact-info-form li.button{
  width: 300px;
  max-width: 100%;
  display: block;
  margin: 0 auto;
}
.contact-button{
  width: 100%;
  height: 70px;
  background-color: #000;
  color: #FFF;
  letter-spacing: 2px;
  box-sizing: border-box;
  border: 0;
  font-size: 24px;
  letter-spacing: 3px;
  font-family: "Microsoft JhengHei";
  font-weight: bold;
  margin: 30px 0;
  transition: all .3s linear;
}
.map-box{
  width: 100%;
  display: block;
  height: 500px;
}
/*表單送出*/
.contact-thanks-box{
  width: 100%;
  height: 100vh;
  display: none;
  position: fixed;
  z-index: 999;
  top: 0;
  left: 0;
}
.contact-thanks-box.active{
  -webkit-align-items: center;
          align-items: center;
    -webkit-justify-content: center;
          justify-content: center;
    display: -webkit-flex;
    display:         flex;
}
.contact-thanks{
  background-color: #000;
  position: relative;
  padding: 80px;
  border-radius: 20px;
  z-index: 6;
}
.contact-thanks-p{
  font-size: 26px;
  line-height: 1.6;
  letter-spacing: 2px;
  font-weight: bold;
  color: #FFF;
  display: block;
}
.contact-out{
  width: 20px;
  height: 20px;
  max-width: 100%;
  display: block;
  position: absolute;
  border-radius: 50%;
  border: 1px solid #FFF;
  top: 4%;
  right: 4%;
  cursor: pointer;
}
.contact-out span{
  width: 15px;
  height: 1px;
  background-color: #FFF;
  display: block;
  margin: 0 auto;
  position: relative;
}
.contact-out span:nth-child(1){
  top: 9px;
    left: 0.5px;
    transform: rotate(45deg);
}
.contact-out span:nth-child(2){
    top: 8px;
    left: 0.5px;
    transform: rotate(-45deg);
}
.contact-thanks-mask{
  width: 100%;
  height: 100vh;
  display: block;
  position: fixed;
  top: 0;
  left: 0;
  z-index: 1;
  background-color: rgba(0, 0, 0, 0.3);
}

